Passer au contenu principal
POST
/
webhooks
/
2026-03
/
{appId}
/
subscriptions
Créer un abonnement à un événement
curl --request POST \
  --url https://api.hubapi.com/webhooks/2026-03/{appId}/subscriptions \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "active": true,
  "eventType": "company.associationChange",
  "eventTypeName": "<string>",
  "objectTypeId": "<string>",
  "propertyName": "<string>"
}
'
{
  "active": true,
  "createdAt": "2023-11-07T05:31:56Z",
  "eventType": "company.associationChange",
  "id": "<string>",
  "eventTypeName": "<string>",
  "objectTypeId": "<string>",
  "propertyName": "<string>",
  "updatedAt": "2023-11-07T05:31:56Z"
}

Documentation Index

Fetch the complete documentation index at: https://developers.hubspot.fr/docs/llms.txt

Use this file to discover all available pages before exploring further.

Supported products

Autorisations

Authorization
string
header
requis

The access token received from the authorization server in the OAuth 2.0 flow.

Paramètres de chemin

appId
integer<int32>
requis

L'identifiant de l'application.

Corps

application/json
active
boolean
requis

Un booléen indiquant si l'abonnement est actif.

eventType
enum<string>
requis

Une chaîne représentant le type d'événement auquel s'abonner. Les valeurs valides incluent diverses modifications de propriétés, créations, suppressions, fusions, restaurations, modifications d'associations et achèvements d'événements.

Options disponibles:
company.associationChange,
company.creation,
company.deletion,
company.merge,
company.propertyChange,
company.restore,
contact.associationChange,
contact.creation,
contact.deletion,
contact.merge,
contact.privacyDeletion,
contact.propertyChange,
contact.restore,
conversation.creation,
conversation.deletion,
conversation.newMessage,
conversation.privacyDeletion,
conversation.propertyChange,
deal.associationChange,
deal.creation,
deal.deletion,
deal.merge,
deal.propertyChange,
deal.restore,
event.completed,
line_item.associationChange,
line_item.creation,
line_item.deletion,
line_item.merge,
line_item.propertyChange,
line_item.restore,
object.associationChange,
object.creation,
object.deletion,
object.merge,
object.propertyChange,
object.restore,
product.creation,
product.deletion,
product.merge,
product.propertyChange,
product.restore,
ticket.associationChange,
ticket.creation,
ticket.deletion,
ticket.merge,
ticket.propertyChange,
ticket.restore
eventTypeName
string

Une chaîne fournissant un nom lisible par l'homme pour le type d'événement.

objectTypeId
string

Une chaîne représentant l'ID du type d'objet associé à l'abonnement.

propertyName
string

Une chaîne indiquant le nom de propriété spécifique lié au type d'événement, le cas échéant.

Réponse

successful operation

active
boolean
requis

Un booléen indiquant si l'abonnement est actuellement actif.

createdAt
string<date-time>
requis

La date et l'heure de création de l'abonnement, au format ISO 8601.

eventType
enum<string>
requis

Le type d'événement qui déclenche l'abonnement. Les valeurs valides incluent diverses modifications de propriétés, créations, suppressions, fusions, restaurations et modifications d'associations pour différents objets HubSpot.

Options disponibles:
company.associationChange,
company.creation,
company.deletion,
company.merge,
company.propertyChange,
company.restore,
contact.associationChange,
contact.creation,
contact.deletion,
contact.merge,
contact.privacyDeletion,
contact.propertyChange,
contact.restore,
conversation.creation,
conversation.deletion,
conversation.newMessage,
conversation.privacyDeletion,
conversation.propertyChange,
deal.associationChange,
deal.creation,
deal.deletion,
deal.merge,
deal.propertyChange,
deal.restore,
event.completed,
line_item.associationChange,
line_item.creation,
line_item.deletion,
line_item.merge,
line_item.propertyChange,
line_item.restore,
object.associationChange,
object.creation,
object.deletion,
object.merge,
object.propertyChange,
object.restore,
product.creation,
product.deletion,
product.merge,
product.propertyChange,
product.restore,
ticket.associationChange,
ticket.creation,
ticket.deletion,
ticket.merge,
ticket.propertyChange,
ticket.restore
id
string
requis

L'identifiant unique de l'abonnement. Il s'agit d'un entier formaté en int64.

eventTypeName
string

Le nom du type d'événement pour l'abonnement.

objectTypeId
string

L'identifiant du type d'objet associé à l'abonnement. Il s'agit d'une chaîne de caractères.

propertyName
string

Le nom de la propriété associée à l'événement d'abonnement, le cas échéant.

updatedAt
string<date-time>

La date et l'heure de la dernière mise à jour de l'abonnement, au format ISO 8601.

Last modified on April 13, 2026